<template>
<q-layout view="lHh Lpr fff" @scroll="onScroller">
        <Transition>
            <q-header v-if="showHeader" elevated class="q-pa-none">
                <q-toolbar class="q-pa-none">
                    <div class="full-width flex flex-center shadow-1 q-pa-none bg-grey-7">
                        <div class="scrollmenu" >
                            <a
                                v-for="(label, index) in groupsLabels" :key="index"
                                :href="`#${label.split(' ').join('')}`" v-smooth-scroll
                                class="text-uppercase text-white">{{ label }}
                            </a>
                        </div>
                    </div>
                </q-toolbar>
            </q-header>
        </Transition>

        <q-page-container>
            <slot />
        </q-page-container>

        <q-footer class="bg-grey-3 q-pa-md flex flex-center shadow-up-1">
            <div class="text-center text-grey-7">
                <div class="q-mb-md">
                    <p class="q-mb-sm">Desenvolvido por:</p>
                    <q-img src="https://fsbr.com.br/img/logo_new_noname.svg" width="80px"></q-img>
                </div>
                <div class="text-caption">
                    <p class="q-ma-none">FSBR - A Fábrica de Software do Brasil</p>
                    <p class="q-ma-none">Versão 0.1.202401220029</p>
                </div>
            </div>
        </q-footer>
    </q-layout>
</template>

<script setup>
import { useGroupButtons } from "../stories/groupButtons";
import { watch, ref } from "vue";

const groupButtons = useGroupButtons();
const groupsLabels = ref(['']);
const showHeader = ref(false);

watch(() => groupButtons.groupButtons, (newValue) => {
    groupsLabels.value = newValue
},{ deep: true, immediate: true })

function onScroller (info) {
    showHeader.value = info.position > 350
}
</script>

<style scoped>
div.scrollmenu {
    overflow: auto;
    white-space: nowrap;
}
div.scrollmenu a {
    display: inline-block;
    text-align: center;
    padding: 14px;
    text-decoration: none;
}

div.scrollmenu a:hover {
    background-color: #777;
}

.v-enter-active,
.v-leave-active {
    transition: opacity 0.5s ease;
}

.v-enter-from,
.v-leave-to {
    opacity: 0;
}
</style>
